Name:           perl-Type-Tiny-XS
Version:        0.025
Release:        3%{?dist}
Summary:        Provides an XS boost for some of Type::Tiny's built-in type constraints
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/dist/Type-Tiny-XS/
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TOBYINK/Type-Tiny-XS-%{version}.tar.gz
# Build
BuildRequires:  coreutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::Constant)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.17
# Module
BuildRequires:  perl(:VERSION) >= 5.10.1
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XSLoader)
# Optional Functionality
BuildRequires:  perl(Type::Parser)
# Test Suite
BuildRequires:  perl(overload)
BuildRequires:  perl(Test::More) >= 0.92
# Dependencies
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Recommends:     perl(Type::Parser)

%description
This module is optionally used by Type::Tiny 0.045_03 and above to provide
faster, C-based implementations of some type constraints (this package has
only core dependencies, and does not depend on Type::Tiny, so other data
validation frameworks might also consider using it!).

%prep
%setup -q -n Type-Tiny-XS-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install} DESTDIR="%{buildroot}"
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license COPYRIGHT LICENSE
%doc Changes CREDITS README
%{perl_vendorarch}/auto/Type/
%{perl_vendorarch}/Type/
%{_mandir}/man3/Type::Tiny::XS.3*
%{_mandir}/man3/Type::Tiny::XS::Util.3*

%changelog
* Fri Nov 18 2022 Paul Howarth <paul@city-fan.org> - 0.025-3
- Classify buildreqs by usage
- Fix permissions verbosely
- Make %%files list more explicit

* Mon Nov 14 2022 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.025-2
- Reflect comments from package review.

* Wed Nov 09 2022 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.025-1
- Update to 0.025.

* Fri Jul 01 2022 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.022-1
- Initial Fedora package.
